Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface ConcernedAreaMBean

public abstract interface ConcernedAreaMBean
extends SccpManagedObjectMBean

This interface contains a list of remote Subsystems (SccpSaps) to be informed of local (primary broadcast) or remote (secondary broadcast) SCCP Subsystem status changes, or to be informed of the SCCP status after completion of SCCP Restart.

SCCP management procedures utilize the concept of a "concerned" Subsystem. In this context, a "concerned" Subsystem means an entity with an immediate need to be informed of a particular Subsystem status change, independently of whether SCCP communication is in progress between the "concerned" Subsystem and the Subsystem affected by the status change.

Each SCCP Service Access Point (SAP) (which may represent either a local or remote Subsystem) has a Concerned Area associated with it. When the status of the SCCP SAP changes, the Concerned Area indicates the Subsystems that are to be informed.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the SCCP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getRemoteSubsystem(java.lang.Integer index)` Returns an ObjectName of the remote Subsystem from the list of Subsystems to be informed of local or remote subsystem status changes .
`ObjectName[]` | `getRemoteSubsystems()` Returns an array of ObjectNames of the all the Subsystems to be informed of local or remote subsystem status changes
`void` | `setRemoteSubsystem(java.lang.Integer index, ObjectName remoteSccp)` Sets one of the Remote Subsystems to be informed of local or remote subsystem status changes.
`void` | `setRemoteSubsystems(ObjectName[] remoteSccps)` Sets all of the Subsystems (identified by the specified array of ObjectNames) to be informed of local or remote subsystem status changes.

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### setRemoteSubsystem

    public void setRemoteSubsystem(java.lang.Integer index,
                                   ObjectName remoteSccp)
                            throws TooManyInstancesException

  Sets one of the Remote Subsystems to be informed of local or remote subsystem status changes.
  Parameters:
    `index` - the index at which the Subsystem is to be set in the array
    `remoteSccp` - the ObjectName of the remote Subsystem
  Throws:
    TooManyInstancesException - - if index is greater than the number of remote subsystems permitted in a Concerned Area by this implementation.

### getRemoteSubsystem

    public ObjectName getRemoteSubsystem(java.lang.Integer index)

  Returns an ObjectName of the remote Subsystem from the list of Subsystems to be informed of local or remote subsystem status changes .
  Parameters:
    `index` - the index of the Subsystem
  Returns:
    the remote Subsystem

### setRemoteSubsystems

    public void setRemoteSubsystems(ObjectName[] remoteSccps)
                             throws TooManyInstancesException

  Sets all of the Subsystems (identified by the specified array of ObjectNames) to be informed of local or remote subsystem status changes.
  Parameters:
    `remoteSccps` - an array of ObjectNames of the remote Subsystem list
  Throws:
    TooManyInstancesException - - if the size of remoteSccps is greater than the number of remote subsystems permitted in a Concerned Area by this implementation.

### getRemoteSubsystems

    public ObjectName[] getRemoteSubsystems()

  Returns an array of ObjectNames of the all the Subsystems to be informed of local or remote subsystem status changes
  Returns:
    the remote Subsystem list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems